#include "at32f403a_407.h"
#include "soft_test.h"
#include "FreeRTOS.h"
#include "task.h"
#include "digital_input.h"
#include <stdio.h>


void test_hw_task(void *argument)
{
    for (;;)
    {
        vTaskDelay(1000);
              
        printf("\r\n");
        for (uint8_t i = 0; i < 8; i++)
        {
            printf("Channel: %u, state = %u\r\n", i + 1, di_get(i));
        }
        
#if 0      
        vTaskDelay(100);
        
        mux_led_blink();
#endif

        //adc_test();
    }
}



//
void test_gpio(void *params)
{
    (void)params;
    
    for (;;)
    {
        vTaskDelay(100);
        
        //printf("%" PRId64 " \r\n", rtc_get_ms());

        //en_crnt_alrm_in(0x02);
        
        //io_test();
        //out_test();
        //load_test();
        
        //printf("HW rev: %u\r\n", cm_gpio_get_rev());
        //printf("Save mode: %u\r\n", save_mode_get());
    }
}